Collections

Create a collection

POST
/v1/collections

Create permanent deposit addresses for one of your users. Each deposit becomes an offramp order that pays naira to the collection's payout account.

reference makes the request safe to retry. Sending the same reference again returns the existing collection and ignores the other fields.

Leave out recipient_id to use your default payout account.

Authorization

ApiKeyAuth
X-API-Key<token>

The API key identifies your business. Requests do not include a business ID.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/collections" \  -H "Content-Type: application/json" \  -d '{    "reference": "user-48213",    "recipient_id": "0199d1a4-6b2e-7c31-a8f0-3d5e9c1b7a42",    "customer": {      "name": "Ada Obi",      "email": "ada@example.com"    }  }'
{  "status": true,  "data": {    "id": "0199d1b7-2a4c-7e58-b1d3-6f9a0c2e4b81",    "reference": "user-48213",    "type": "offramp",    "status": "active",    "recipient_id": "0199d1a4-6b2e-7c31-a8f0-3d5e9c1b7a42",    "customer": {      "name": "Ada Obi",      "email": "ada@example.com"    },    "deposit_addresses": [      {        "address": "0x64e6e8b84beb0ba8ab43a09d4b8a48aa23ecc394",        "networks": [          "BASE",          "POLYGON",          "ARBITRUM",          "OPTIMISM",          "ETHEREUM",          "CELO",          "PLASMA"        ]      },      {        "address": "9S1Pdxe5K6ZRmMZUrZDgig33udTb5TScRehXmYiP69he",        "networks": [          "SOLANA"        ]      }    ],    "created_at": "2026-10-15T09:14:02Z"  }}